%define _requires_exceptions devel\\(.*\\)

Summary:        A textedit with PIM-specific features
Name:           kpimtextedit
Version: 		23.08.5
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl
BuildRequires: cmake 
BuildRequires: lib64grantlee-devel 
BuildRequires: lib64kcodecs-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5emoticons-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5designer-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: qtbase5-common-devel 

%description
A textedit with PIM-specific features

%files
%_kf5_datadir/locale
%_kf5_datadir/qlogging-categories5/kpimtextedit.categories
#--------------------------------------------------------------------

%define kf5pimtextedit_major 5
%define libkf5pimtextedit %mklibname kf5pimtextedit %{kf5pimtextedit_major}

%package -n %libkf5pimtextedit
Summary:      A textedit with PIM-specific features
Group:        System/Libraries
Requires: %name


%description -n %libkf5pimtextedit
A textedit with PIM-specific features

%files -n %libkf5pimtextedit
%_kf5_libdir/lib*.so.*
/usr/lib64/qt5/plugins/designer/kpimtextedit5widgets.so
#--------------------------------------------------------------------

%define kf5pimtextedit_devel %mklibname kf5pimtextedit -d

%package -n %kf5pimtextedit_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5pimtextedit = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5pimtextedit_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5pimtextedit_devel
%_includedir
%_kf5_libdir/*.so
%_kf5_libdir/cmake
%_libdir/qt5/mkspecs

#--------------------------------------------------------------------

%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%find_lang --all %{name}5



%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

